# Vectorscript Add Include file reference v1.0 230708
# Usage
# Search for Include file
# Inserted line below cursor and add include reference to current file
#
# Coded by Bill Wood
# Contact via www.whwsolution.co.uk
# Use at own risk

from Npp import editor, notepad, console

curfile = notepad.getCurrentFilename()
notepad.menuCommand(MENUCOMMAND.FILE_OPEN)
inclfile = notepad.getCurrentFilename()

if curfile != inclfile:
	notepad.close() # close active file

	inclstr = '{$INCLUDE ' + inclfile + '}'
	editor.newLine()
	editor.addText(inclstr) 