# Vectorscript Space All Bracing v1.0 230704
# Usage
# Search for line with leading bracket
# Pad leading and trailing brackets with a single space
#
# Coded by Bill Wood
# Contact via www.whwsolution.co.uk
# Use at own risk

import re
from Npp import editor, notepad, console

def processbrackets(teststr):
	leftbracket = teststr.find("(")
	rightbracket = teststr.find(")")
	
	if leftbracket >= 0:
		result = re.split("\(", teststr)
		teststr = result[0].rstrip()
		for val in range(1,(len(result))):
			teststr += "( " + result[val].strip()

	if rightbracket >= 0:
		result = re.split("\)", teststr)
		teststr = result[0].rstrip()
		for val in range(1,(len(result))):
			teststr += " )" + result[val].rstrip()

	return teststr

# ================================main
curpos = editor.getCurrentPos()
pos = editor.findText(FINDOPTION.MATCHCASE, curpos, curpos+1000, '(')

curpos = pos[0]
editor.gotoPos(curpos)
lineno = editor.lineFromPosition(curpos)
teststr = editor.getCurLine()

if teststr != '':
	teststr = processbrackets(teststr)
	editor.replaceLine(lineno,teststr.rstrip())
	curpos = editor.getLineEndPosition(lineno)
	editor.gotoPos(curpos)
	